dojo.provide("com.ibm.team.reports.web.util.ReportsUtil");

dojo.require("com.ibm.team.reports.web.ui.ReportsConstants");

(function() {

/*
 * Aliases
 */
var ReportsConstants = com.ibm.team.reports.web.ui.ReportsConstants;

/*
 * Public utility methods.
 */
com.ibm.team.reports.web.util.ReportsUtil = {
		
	getReportsListHref: function(shared) {
		var href = ["#action=", ReportsConstants.ACTION_VIEW_REPORTS, "&", ReportsConstants.SHARED, "=", shared];
		return href.join("");
	},
	
	getResourcesListHref: function() {
		var href = ["#action=", ReportsConstants.ACTION_VIEW_RESOURCES];
		return href.join("");
	},
	
	getReportsWelcomeHref: function() {
		var href = ["#action=", ReportsConstants.ACTION_VIEW_DEFAULT];
		return href.join("");
	},
};

})();