<%@ tag language="java" pageEncoding="UTF-8"%>
<%@ attribute name="title" required="true"%>
<%@ attribute name="bannerTitle" required="true"%>
<%@ attribute name="bannerIcon" %>
<%@ attribute name="bannerRight" %>
<%@ attribute name="navbar" %>
<%@ attribute name="dojoAttachPoint" %>
<div class="jazz-ui-PageTemplate" serverTemplated="true" dojoType="jazz.ui.PageTemplate" dojoAttachPoint="${dojoAttachPoint}">
	<div class="jazz-ui-PageTemplate-skip"><a href="#" dojoattachevent="onclick: _skipToContent"></a></div>
	<div dojoAttachPoint="_aboveBannerNode"></div>
	<div class="banner" dojoattachpoint="_banner">
		<div class="above-banner">
			<div class="title" dojoattachpoint="_title">${title}</div>
			<div class="info" dojoattachpoint="_info"></div>
		</div>
		<div dojoattachpoint="_homeMenu">
			<a title="Home" class="home-button" href="${homeLink}" dojoAttachPoint="_homeMenuButton">
				<a title="Home Menu" href="#" class="home-menu jazz-ui-MenuPopup" dojoAttachPoint="_homeMenuAnchor"></a>
			</a>
		</div>
		<div class="banner-area">
			<div class="left">
				<div class="right">
					<div class="middle">
						<div class="content">
							<div class="header-right">
								<div class="header-inner">
									${bannerRight}
								</div>
							</div>
							<div class="header-left" dojoattachpoint="_headerLeft">
								<div class="banner-icon" dojoattachpoint="_bannerIcon">
									<img src="${bannerIcon}"/>
								</div>
								<div class="banner-title" dojoattachpoint="_bannerTitle">${bannerTitle}</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="navbar" dojoattachpoint="_navbar">
		<div class="search-area" dojoattachpoint="_searchArea"></div>
		<div class="links" dojoattachpoint="_links">
			${navbar}
		</div>
		<div class="clearLeft"></div>
	</div>
	<table class="content-table" dojoattachpoint="_table">
		<!-- Use a table to achieve expand to fit (horizontal scrolling, when needed) across browsers  -->
		<tbody>
		 	<tr class="top-border"><td class="border left"></td><td class="border middle" colspan="3">&nbsp;</td><td class="border right"></td></tr>
			<tr class="middle-row">
				<td class="border left" dojoattachevent="onclick:_onClick" dojoattachpoint="_leftBorder"><div class="spacer"></div></td>
				<td class="minibar-cell"><div dojoattachpoint="_leftAnchor" dojoType="jazz.ui.internal.DrawerAnchorLeft"></div></td>
				<td id="content-cell" dojoattachpoint="_content" role="main">
					<div class="status-message" dojoattachpoint="_statusMessage" role="status"></div>
					<div dojoattachpoint="containerNode">
						<div serverTemplated="true" dojoType="net.jazz.ajax.ui.PageContainer">
							<jsp:doBody/>
							<div style="clear:both, height: 0"></div>
						</div>
					</div>
				</td>
				<td class="minibar-cell"><div dojoattachpoint="_rightAnchor" dojoType="jazz.ui.internal.DrawerAnchorRight"></div></td>
				<td class="border right" dojoattachevent="onclick:_onClick" dojoattachpoint="_rightBorder"><div class="spacer"></div></td>
			</tr>
		 	<tr class="bottom-border"><td class="border left"></td><td class="border middle" colspan="3"></td><td class="border right"></td></tr>
		</tbody>
	</table>
	<div class="footer" dojoattachpoint="_footer"></div>
</div>