/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.process.web.ui.internal.admin.projects.ProcessAreaEditorPageHeaderSection"); //$NON-NLS-1$
dojo.requireLocalization("com.ibm.team.process.web.ui.internal", "Messages"); //$NON-NLS-1$ //$NON-NLS-2$

(function(){

	dojo.declare("com.ibm.team.process.web.ui.internal.admin.projects.ProcessAreaEditorPageHeaderSection", [dijit._Widget, dijit._Templated], { //$NON-NLS-1$
		templatePath: dojo.moduleUrl("com.ibm.team.process.web", "ui/internal/admin/projects/templates/ProcessAreaEditorPageHeaderSection.html"), //$NON-NLS-1$ //$NON-NLS-2$
		constructor: function(args) {
			this.messages = dojo.i18n.getLocalization("com.ibm.team.process.web.ui.internal.admin.projects", "Messages"); //$NON-NLS-1$ //$NON-NLS-2$
			this._title = args.title;
			this._description = args.description;
		},
		
		postCreate: function() {
			this.pageTitle.innerHTML = this._title;
			if (this._description) {
				this.pageDescription.innerHTML = this._description;
			}
		}
		
		
	});
	
})();
