/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	'pageTitle': "Cluster Nodes",
	'pageDescription': "This page provides a list of all nodes in the cluster. Use the table below to check the status of individual nodes.",
	'nodeListHeading': "Cluster Nodes",
	
	//table headings
		
	'hOnline' : "Online",
	'hIp' : "IP Address",
	'hHost' : "Hostname",
	'hMemory': "Memory Usage",
	'hUptime': "Uptime",
	'hDiagnostics': "Diagnostics",
	'hCPU': "CPU Load",
	'hNodeId': "Node ID",
	'hActiveServices': "Active Services",
	
	'viewActiveServices': "Click to view the Active Services for this node.",
	
	'noClusterNodes': "There are no nodes in this cluster or an error occurred while fetching the list of nodes.",
	'online': "Online",
	'offline': "Offline",
	'unknown': "Unknown",
	'loading': "Loading...",
	'showDetails': "Show Details",
	'hideDetails': "Hide Details",
	'forgetNode': "Forget Node",
	
	'loadingPage': "Contacting all of the nodes in the cluster. Please wait...",
	'errorFetchingNodeList': "CRJAZ2204E An error occurred while fetching the list of cluster nodes.",
	'errorFetchingNodeDetails': "CRJAZ2203E An error occurred while fetching the detailed information for node \"${0}\".",
	'someNodesUnreachable': "Some of the cluster nodes are unreachable. Consult the table below to see more details. If you have taken one of the nodes offline permanently, you may wish to click \"Forget Node\" to remove it from the list."
	
})
